%define		major 3
%define 	name gda2.0
%define		pkgname libgda
%define dirver 1.9

%define 	build_mysql 1
%{?_with_mysql: %global build_mysql 1}
%define		build_freetds 0
%{?_with_freetds: %global build_freetds 1}
%define		build_mdb 0
%{?_with_mdb: %global build_mdb 1}
%define		build_mono 1
%{?_with_mdb: %global build_mono 1}


%define api 3
%define oname gda
%define libname	%mklibname %{oname}%{api}_ %major 
%define gdasqllibname %mklibname gdasql %major
%define basiclibname	%mklibname %{oname}%{api}

%define old_package	%mklibname gda2.0_ 3 
Summary:	GNU Data Access
Name: 		%{name}
Version: 1.9.102
Release: %mkrel 3
License: 	GPL/LGPL
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
Patch2: libgda-1.9.99-dllconfig.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	flex
BuildRequires:	gdbm-devel
BuildRequires:	glib2-devel
BuildRequires:	libxslt-devel >= 1.0.9
BuildRequires:	ncurses-devel
BuildRequires:  openldap2-devel
#gw for the intltool scripts:
BuildRequires:	perl-XML-Parser
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRequires:	readline-devel
BuildRequires:	scrollkeeper
BuildRequires:  sqlite3-devel
BuildRequires:  unixODBC-devel
BuildRequires: automake1.8 intltool
%if %build_mysql
BuildRequires:	MySQL-devel
%endif
%if %build_freetds
BuildRequires:	freetds-devel
%endif
%if %build_mdb
BuildRequires:	libmdbtools-devel
%endif
BuildRequires:	gtk-doc
#Requires(post):		scrollkeeper
#Requires(postun):	scrollkeeper
Conflicts:	gda < 0.3
URL: 		http://www.gnome-db.org/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

Drivers for the supported databases are included in the gda2.0-* packages.

%package -n	%{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries
Provides:	%basiclibname = %{version}-%{release}
Requires:	%name >= %version

%description -n	%{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.


%package -n	%{gdasqllibname}
Summary:	GNU Data Access SQL library
Group: 		System/Libraries
Conflicts:	%old_package <= 1.2.3-3mdk
Requires:	%name >= %version

%description -n	%{gdasqllibname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n	%{libname}-devel
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}
Requires:	%{gdasqllibname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package	postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package	mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider

%package	odbc
Summary:	GDA ODBC Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	odbc
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA ODBC provider.

%package	sqlite
Summary:	GDA SQLite Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	sqlite
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA SQLite provider.

%package	ldap
Summary:	GDA LDAP Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	ldap
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA LDAP provider.

%package	bdb
Summary:	GDA Berkeley Database Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	bdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA Berkeley Database provider.

%package	freetds
Summary:	GDA FreeTDS Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	freetds
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA FreeTDS provider.

%package	mdb
Summary:	GDA MDB Provider
Group:		Databases
Requires:	%{name} = %{version}

%description	mdb
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MDB provider, which can access
Microsoft Access databases.


%package	xbase
Summary:	GDA xbase Provider
Group:		Databases
Requires:	%{name} = %{version}
BuildRequires:	libxbase-devel

%description	xbase
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

%if %build_mono
%package -n gda-sharp
Group: Development/Other
Summary:GNU Data Access C# bindings
BuildRequires: mono-devel
BuildRequires: gtk-sharp2
Requires: %libname = %version
Requires: %gdasqllibname = %version

%description -n gda-sharp
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

%files -n gda-sharp
%defattr(-, root, root)
%_libdir/libgda/
%{_libdir}/pkgconfig/gda-sharp-2.0.pc
%endif

%prep
%setup -q -n %{pkgname}-%{version}
%patch2 -p1 -b .dllconfig

# (Abel) mkinstalldirs is not distributed, this is temp hack
cat > mkinstalldirs << _EOF_
#!/bin/sh
exec mkdir -p "\$@"
_EOF_
chmod +x mkinstalldirs

%build
%configure2_5x \
%if %build_mysql
	--with-mysql=yes \
%endif
%if !%build_freetds
	--with-tds=no \
%endif
%if !%build_mdb
	--with-mdb=no \
%endif
	--with-sqlite=%_prefix \
	--without-firebird

make

%install
rm -rf $RPM_BUILD_ROOT

%{makeinstall_std}

# remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/libgda-%dirver/providers/*.{a,la}

%if !%build_mono
rm -f %buildroot/%_libdir/libgda/gda-sharp*
rm -f %buildroot/%_libdir/libgda/gda-api.xml
%endif


%{find_lang} %{pkgname}-%{api} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig
%post -n %{gdasqllibname} -p /sbin/ldconfig
%postun -n %{gdasqllibname} -p /sbin/ldconfig

%post
#if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
							  

#%postun
#if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

							  
%files -f %{pkgname}-%{api}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%dir %{_sysconfdir}/libgda
%config(noreplace) %_sysconfdir/libgda/sales_test.db
%config(noreplace) %{_sysconfdir}/libgda/config
%{_datadir}/libgda
%{_mandir}/man?/*
%dir %{_libdir}/libgda-%dirver
%dir %{_libdir}/libgda-%dirver/providers

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgda-%{api}.so.%{major}*
%{_libdir}/libgda-report-%{api}.so.%{major}*
%{_libdir}/libgda_graph-%{api}.so.%{major}*
%{_libdir}/libgda_handlers-%{api}.so.%{major}*
%{_libdir}/libgda_sql_delimiter-%{api}.so.%{major}*


%files -n %{gdasqllibname}
%defattr(-, root, root)
%{_libdir}/libgdasql.so.%{major}*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/libgda
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%attr(644,root,root) %{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

%files postgres
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-postgres.so

%files odbc
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-odbc.so

%files sqlite
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-sqlite.so

%files ldap
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-ldap.so

%files bdb
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-bdb.so

%if %build_mysql
%files mysql
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-mysql.so
%endif

%if %build_freetds
%files freetds
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-freetds.so
%endif

%if %build_mdb
%files mdb
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-mdb.so
%endif

%files xbase
%defattr(-, root, root)
%{_libdir}/libgda-%dirver/providers/libgda-xbase.so

%changelog
* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.9.102-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-2mdv2007.0
- enable mono

* Fri Mar 24 2006 Gtz Waschk <waschk@mandriva.org> 1.9.102-1mdk
- update file list
- New release 1.9.102

* Wed Feb 15 2006 Gtz Waschk <waschk@mandriva.org> 1.9.100-1mdk
- new libname
- add sharp subpackage
- drop patches
- new version

* Thu Feb  2 2006 Gtz Waschk <waschk@mandriva.org> 1.2.3-6mdk
- fix buildrequires

* Wed Feb  1 2006 Gtz Waschk <waschk@mandriva.org> 1.2.3-5mdk
- fix post scripts

* Wed Feb  1 2006 Gtz Waschk <waschk@mandriva.org> 1.2.3-4mdk
- split out libgdasql

* Thu Nov 17 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.3-3mdk
- rebuilt against openssl-0.9.8a

* Wed Nov  9 2005 Gtz Waschk <waschk@mandriva.org> 1.2.3-2mdk
- replace prereq
- fix buildrequires

* Tue Nov 01 2005 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdk
- New release 1.2.3

* Sat Oct 29 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-4mdk
- fix deps and description

* Mon Oct 10 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.2-3mdk
- ppc64 is a lib64 arch too

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.2-2mdk
- rebuilt against new openldap-2.3.6 libs

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 1.2.2-1mdk
- New release 1.2.2

* Wed May 11 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.1-2mdk
- Rebuild for postgresql-devel 8.0.2

* Thu Mar  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.2.1-1mdk
- fix sqlite deps
- drop patch 0
- New release 1.2.1

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.2.0-5mdk
- rebuild for ldap2.2_7

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.0-4mdk
- rebuild for new readline

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-3mdk 
- Fix conflicts

* Tue Dec 28 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-2mdk
- add conflict to ease upgrade

* Tue Dec 28 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.0-1mdk
- major 3
- add xbase package
- New release 1.2.0

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.99-1mdk
- disable parallel build
- New release 1.1.99

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.6-2mdk
- lib64 & 64-bit fixes

* Sun Aug 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.6-1mdk
- New release 1.1.6

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5

* Wed Jun  9 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.4-1mdk
- reenable mysql
- New release 1.1.4

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.1.3-3mdk
- Rebuild

* Fri Jun 04 2004 Abel Cheung <deaddog@deaddog.org> 1.1.3-2mdk
- gda-config-tool is not devel stuff
- Fix provides

* Fri Jun 04 2004 Abel Cheung <deaddog@deaddog.org> 1.1.3-1mdk
- New version
- Allows building freetds and mdb backend via build switch
- Parallel make works again

* Thu May 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.2-2mdk
- sync with AMD64 branch
- Disable freetds support

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.2-1mdk
- fix buildrequires
- new version

* Mon Apr  5 2004 Götz Waschk <waschk@linux-mandrake.com> 1.1.1-1mdk
- add bdb backend
- disable mysql backend (licensing issues)
- new version

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-3mdk
- Distlint fixes
- LDAP 1.x is not a friend of GDA

* Sat Jan 31 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.3-2mdk
- fix buildrequires

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- add sqlite support
- new version

* Mon Dec 01 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 1 (merged upstream), 2 (no longer needed)

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1
- Regenerate patch 1
- Patch2 (CVS): fix build

* Wed Oct  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.91.0-2mdk
- lib64 & some 64-bit fixes

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91.0-1mdk
- Release 0.91.0
- Add missing unixODBC-devel buildrequires
- Remove patch2 (merged upstream)

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.90.0-1mdk
- Release 0.90.0
- Remove patch3 (no needed)

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.1-1mdk
- Release 0.12.1

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.0-1mdk
- Release 0.12.0
- Regenerate patch2

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.0-3mdk
- Fix BuildRequires
- Fix various dependencies
- Remove unneeded post/postun scripts
- move API doc in -devel package
- ensure directories are owned by package

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 0.11.0-3mdk
- fix requires

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 0.11.0-2mdk
- use autoconf-2.5x

* Fri Mar 21 2003 Marcel Pol <mpol@gmx.net> 0.11.0-1mdk
- libgda2 with changes from Quel Qun <kelk1@hotmail.com>
- drop patch1 and patch4
- update patch2 and patch4

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.2.96-9mdk
- rebuild package with libpq.so.3, since the package hasn't been rebuilt
  since August.

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-8mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-7mdk
- Patch4: use DTD compliant OMF file

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-6mdk
- Update patch3 to fix typo in gda-config

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-5mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-4mdk
- Patch3: MDK config is to have prefix=/usr. As such, we lead to
  -L/usr/lib in gda-config which generally is wrong on lib64
  architectures. Simply nuke explicit reference to -L/usr/lib as this
  is a system search path already.

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-3mdk
- Remove Patch2 (64bit) since Merged upstream
- Patch2: Look for PostgreSQL and MySQL libraries in the right directories

* Fri Apr 19 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-2mdk
- Patch1: ISO C++ fixes, aka fix build with gcc3+:
  - Don't assume namespace std scope is global scope
  - Don't redefine default arguments

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-1mdk
- Release 0.2.96

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.95-1mdk
- release 0.2.95

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-4mdk
- Fix reference directory in .la files
- Use makeinstall_std macro

* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-3mdk
- fix BuildRequires

* Sun Nov  4 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-2mdk
- fix BuildRequires

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-1mdk
- Release 0.2.93
- Remove patch 1 (no longer needed)

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.91-1mdk
- Release 0.2.91
- Add support for scrollkeeper

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.10-2mdk
- BuildRequires: gdbm-devel
- BuildRequires: perl-devel
- BuildRequires: popt-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10

* Tue Jun 26 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.2.9-2mdk
- fix ugly casting in lemon : should work for all 64bit platform

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.9-1mdk
- new version for gnumeric 0.65 (R. Chaillat)
- Remove patch0

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Disable checking of glib2 (patch0)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libified

* Sat Sep 2 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
